--- title: "Delete a controller" slug: "delete-a-controller-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/delete-a-controller-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a controller This URL deletes a controller based on the controller Id. ### Resource URL DELETE /controller/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `controller Id ` | Controller ID. You can use the `GET /controller` method to get the details of all the Controllers. | string | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the DELETE operation is successful. Value is set to `true` if the DELETE operation is successful. Value is set to `false` if the DELETE operation is not successful. | string | | `msg` | Message if the deletion of the controller is successful | string | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Not applicable | Not applicable | | `controllerName` | Not applicable | Not applicable | ### Example ****Request**** DELETE [https:///intruvert/webservice/api/v1/cloud/controller/6](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/6) ****Response**** ``` { "success": true, "msg": "Controller [6] deleted!", "errMsg": null, "domainName": null, "data": null, "controllerName": null } ```